<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{7667FA4E-0000-0000-0000-000000000000}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon></ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>OpenSim.Framework.Communications</AssemblyName>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <AppDesignerFolder></AppDesignerFolder>
    <RootNamespace>OpenSim.Framework.Communications</RootNamespace>
    <StartupObject></StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DocumentationFile></DocumentationFile>
    <DebugSymbols>True</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <Optimize>False</Optimize>
    <OutputPath>../../../bin/</OutputPath>
    <RegisterForComInterop>False</RegisterForComInterop>
    <RemoveIntegerChecks>False</RemoveIntegerChecks>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <NoWarn></NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile></DocumentationFile>
    <DebugSymbols>False</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <Optimize>True</Optimize>
    <OutputPath>../../../bin/</OutputPath>
    <RegisterForComInterop>False</RegisterForComInterop>
    <RemoveIntegerChecks>False</RemoveIntegerChecks>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <NoWarn></NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="log4net.dll" >
      <HintPath>..\..\..\bin\log4net.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Nini.dll" >
      <HintPath>..\..\..\bin\Nini.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="OpenMetaverse.dll" >
      <HintPath>..\..\..\bin\OpenMetaverse.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="OpenMetaverseTypes.dll" >
      <HintPath>..\..\..\bin\OpenMetaverseTypes.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System" >
      <HintPath>System.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Web" >
      <HintPath>System.Web.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Xml" >
      <HintPath>System.Xml.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="XMLRPC.dll" >
      <HintPath>..\..\..\bin\XMLRPC.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="../../Data/OpenSim.Data.csproj">
      <Name>OpenSim.Data</Name>
      <Project>{B75A430B-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../OpenSim.Framework.csproj">
      <Name>OpenSim.Framework</Name>
      <Project>{7404933D-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../AssetLoader/Filesystem/OpenSim.Framework.AssetLoader.Filesystem.csproj">
      <Name>OpenSim.Framework.AssetLoader.Filesystem</Name>
      <Project>{0AEF4C67-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../Console/OpenSim.Framework.Console.csproj">
      <Name>OpenSim.Framework.Console</Name>
      <Project>{16759386-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../Servers/OpenSim.Framework.Servers.csproj">
      <Name>OpenSim.Framework.Servers</Name>
      <Project>{540267BF-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../Statistics/OpenSim.Framework.Statistics.csproj">
      <Name>OpenSim.Framework.Statistics</Name>
      <Project>{AB0CA094-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../../Region/Interfaces/OpenSim.Region.Interfaces.csproj">
      <Name>OpenSim.Region.Interfaces</Name>
      <Project>{4B54DFF3-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CAPSService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CommunicationsManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="GenericAsyncResult.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="GridInfoService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IAvatarService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IGridServices.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IInterRegionCommunications.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IInterServiceInventoryServices.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IInventoryServices.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IMessagingService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ISecureInventoryService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IUserService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IUserServiceAdmin.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="InventoryServiceBase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LoginResponse.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LoginService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RestClient.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UserManagerBase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/AssetCache.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/AssetServerBase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/AuthedSessionCache.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/CachedUserInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/CryptoGridAssetClient.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/FileAssetClient.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/GridAssetClient.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/InventoryFolderImpl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/LibraryRootFolder.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/SQLAssetServer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache/UserProfileCacheService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/Caps.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/CapsHandlers.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSD.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDArray.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDAssetUploadComplete.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDAssetUploadRequest.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDAssetUploadResponse.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDCapEvent.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDEmpty.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDHelpers.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDInventoryItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDItemUpdate.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDMapLayer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDMapLayerResponse.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDMapRequest.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDMethod.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDMethodString.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDParcelVoiceInfoResponse.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDRemoteParcelResponse.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDStreamHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDTaskInventoryUploadComplete.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDTaskScriptUpdate.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDTest.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Capabilities/LLSDVoiceAccountResponse.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Limit/IRequestLimitStrategy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Limit/NullLimitStrategy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Limit/RepeatLimitStrategy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Limit/TimeLimitStrategy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties/AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="XMPP/XmppError.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="XMPP/XmppIqStanza.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="XMPP/XmppMessageStanza.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="XMPP/XmppPresenceStanza.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="XMPP/XmppSerializer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="XMPP/XmppStanza.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="XMPP/XmppWriter.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSHARP.Targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>
